Subject: Re: Norse recipes

From: [email-masked] (Katrine Kirk)
Date: 19 Oct 1994 17:44:33 GMT

charles nevile ([email-masked]) wrote:

: Actually, I know of a group who do Iceland re-enactment, so
: I should hassle them. Also I beleive the folk at Hedeby in
: (I think) Denmark do viking cooking.

Actually, it's Lejre (near Hedehusene). I believe they've published
a short cookbook or pamphlet on viking cooking (such delicacies as
nettle soup are easy to make). Dandelion leaves were eaten raw, 
too. 

Do you understand Danish? I could perhaps track down the book and 
send it to you. 

Katrine Kirk
[email-masked]